/* https://codepen.io/atloomer/pen/JEaRWX */
.butani {
  display: inline-flex;
  height: 40px;
  height: 100%;
  min-height:50px;
  width: 150px;
  width: 100%;
  border: 1px solid #BFC0C0;
  /*margin: 20px 20px 20px 20px;*/
  /*color: #BFC0C0;*/
  padding: 20px 0;
  background-color: #FFFFFF;
  text-transform: uppercase;
  text-decoration: none;
  font-size: 1em;
  letter-spacing: 1.5px;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}

a {
  color: #8BBC08;	
  text-decoration: none;
  letter-spacing: 1px;
}

/* Second Button */

#button-2 {
  position: relative;
  overflow: hidden;
  cursor: pointer;
}

#button-2 a {
  position: relative;
  transition: all .35s ease-Out;
}

#slide {
  width: 100%;
  height: 100%;
  left: -100%;
  transform: translateX(-100%);
  background: #8BBC08;
  position: absolute;
  transition: all .35s ease-Out;
  bottom: 0;
  
  filter: blur(8px);
  -webkit-filter: blur(8px);
}

#button-2:hover #slide {
  left: 0;
   transform: translateX(0%);
  
  filter: blur(0px);
  -webkit-filter: blur(0px);
}

#button-2:hover a {
  color: #000000;
}


/* Third Button */

#button-3 {
  position: relative;
  overflow: hidden;
  cursor: pointer;
}

#button-3 a {
  position: relative;
  transition: all .45s ease-Out;
}

#circle {
  width: 0%;
  height: 0%;
  opacity: 0;
  line-height: 40px;
  border-radius: 50%;
  background: #8BBC08;
  position: absolute;
  transition: all .5s ease-Out;
  top: 50%;
  left: 50%;
  transform: translateY(-50%) translateX(-50%);
  
  filter: blur(8px);
  -webkit-filter: blur(8px);
}

#button-3:hover #circle {
  width: 200%;
  height: 500%;
  opacity: 1;
  top: 50%;
  left: 50%;
  transform: translateY(-50%) translateX(-50%);
  
  filter: blur(0px);
  -webkit-filter: blur(0px);
}

#button-3:hover a {
  color: #000000;
}